%define		_status		stable
%define		_pearname	HTML_Progress
%include	/usr/lib/rpm/macros.php
Summary:	%{_pearname} - including a loading bar in your XHTML documents quickly and easily
Summary(pl.UTF-8):	%{_pearname} - szybkie i łatwe dołączanie paska postępu w dokumentach XHTML
Name:		php-pear-%{_pearname}
Version:	1.2.6
Release:	4
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	08a80dadde1edb1e45ea44aa207d5a0a
Patch0:		%{name}-smarty.patch
URL:		http://pear.php.net/package/HTML_Progress/
BuildRequires:	php-pear-PEAR >= 1:1.5.4
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	Smarty >= 2.6.10-4
Requires:	php(core) >= 4.2.0
Requires:	php-pear
Requires:	php-pear-HTML_Common >= 1.2.1
Suggests:	php-gd
Suggests:	php-pear-Config
Suggests:	php-pear-HTML_Page2
Suggests:	php-pear-HTML_QuickForm
Suggests:	php-pear-HTML_QuickForm_Controller
Suggests:	php-pear-HTML_Template_IT
Suggests:	php-pear-HTML_Template_Sigma
Suggests:	php-pear-Image_Color
Suggests:	php-pear-Log
Suggests:	php-pear-PEAR
Obsoletes:	php-pear-HTML_Progress-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# exclude Smarty and optional dependencies and tests (HTML_TestListener.php, TestUnit.php)
%define		_noautoreq	'pear(.*Smarty.class.php)' 'pear(PEAR.*)' 'pear(HTML/QuickForm.*)' 'pear(HTML/QuickForm/Controller.*)' 'pear(Image/Color.*)' 'pear(HTML/Page2.*)' 'pear(HTML/Template/IT.*)' 'pear(HTML/Template/Sigma.*)' 'pear(Log.*)' 'pear(Config.*)' 'pear(HTML_TestListener.php)' 'pear(TestUnit.php)'

%description
This package provides a way to add a loading bar fully costomizable in
existing XHTML documents.

Your browser should accept DHTML feature.

Features:
- allows usage of an existing stylesheet for colors and size model
- all colors and size elements are customizable
- show or hide text percent information
- set/add and returns value of current status of progress
- compliant with all CSS/XHTML standards
- integration with template engine ITx family is possible
- create horizontal and also vertical bart
- optional message line come with progress status
- percent info is floating all around the progress bar
- scale can be changed (default is 100)
- legend of percent text info can be changed (default is "%%")

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Za pomocą tego pakietu można w łatwy sposób dodać w pełni
konfigurowalny pasek postępu w już istniejących dokumentach XHTML.

Przeglądarka powinna akceptować DHTML.

Cechy:
- możliwość używania już istniejących arkuszy CSS w celu określenia
  rozmiaru i koloru
- możliwość zmiany kolorów i rozmiarów poszczególnych elementów
- pokazanie lub ukrycie tekstowej informacji o postępie
- ustawianie/dodawanie oraz zwracanie bieżącej informacji o postępie
- kompatybilny ze wszystkimi standardami CSS/XHTML
- możliwa integracja z rodziną szablonów ITx
- tworzenie poziomych oraz pionowych pasków postępu
- opcjonalna linia z komunikatem w statusie postępu
- procentowa informacja "pływa" dookoła paska postępu
- skala może być zmieniona (domyślnie 100)
- legenda procentowej informacji tekstowej może być zmieniona
  (domyślnie "%%")

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup
%patch0 -p1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%post
if [ -f %{_docdir}/%{name}-%{version}/optional-packages.txt ]; then
	cat %{_docdir}/%{name}-%{version}/optional-packages.txt
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log optional-packages.txt
%doc docs/%{_pearname}/{ChangeLog,examples,HISTORY,INSTALL,LICENSE,README,Release-*,docs}
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/HTML/Progress.php
%{php_pear_dir}/HTML/Progress
%changelog
* Sun Aug 26 2012 Elan Ruusamäe <glen@delfi.ee> c275883
- use php(core) for php engine version deps
- release 3 (by relup.sh)

* Tue Mar 01 2011 Elan Ruusamäe <glen@pld-linux.org> 2624ade
- release 3

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> 6bb3d1d
- dropped -tests subpackage

* Sat Aug 21 2010 Elan Ruusamäe <glen@pld-linux.org> 97fd980
- updated deps with pearize.sh
- release 2

* Mon Jul 28 2008 Adam Gołębiowski <adamg@pld-linux.org> 17b8886
- updated to 1.2.6

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> eac66d2
- rel 4

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 2858930
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 055ddd7
- converted to UTF-8

* Tue May 23 2006 Elan Ruusamäe <glen@pld-linux.org> 15b43e1
- BR rpm-build macros >= 1.300 for %pear_ macros

* Sun Apr 02 2006 Elan Ruusamäe <glen@pld-linux.org> 2ee304f
- AutoProv: no for -tests

* Tue Mar 07 2006 Elan Ruusamäe <glen@pld-linux.org> d89c6dd
- BR php-pear-PEAR

* Mon Feb 20 2006 Elan Ruusamäe <glen@pld-linux.org> e539fec
- group Development/Languages/PHP for -tests

* Mon Jan 30 2006 Elan Ruusamäe <glen@pld-linux.org> 0bc9614
- proper requires for Smarty in new path

* Fri Jan 27 2006 Elan Ruusamäe <glen@pld-linux.org> d9751ef
- fix noautoreq for smarty. still STBR

* Wed Jan 25 2006 Elan Ruusamäe <glen@pld-linux.org> 9c20d8e
- Smarty path fix, rel 3; STBR

* Wed Jan 25 2006 Elan Ruusamäe <glen@pld-linux.org> 3cdf39d
- Smarty path fix

* Sun Jan 08 2006 Elan Ruusamäe <glen@pld-linux.org> 1af92e6
- AutoReq: no for -tests

* Tue Dec 13 2005 Elan Ruusamäe <glen@pld-linux.org> 9a36297
- cat optional-packages.txt, put registry to proper package; rel 2

* Thu Nov 03 2005 Elan Ruusamäe <glen@pld-linux.org> 74d2818
- 1.2.5

* Thu Oct 27 2005 Jakub Bogusz <qboosh@pld-linux.org> 1ecb28d
- define Epoch to 0 explicitly when using it

